ONVIF::Analytics::Types::ImagingSettingsExtension20(3pm)

NAME
ONVIF::Analytics::Types::ImagingSettingsExtension20

DESCRIPTION
Perl data type class for the XML Schema defined complexType ImagingSettingsExtension20 from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   ImageStabilization

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::ImagingSettingsExtension20
   ImageStabilization =>  { # ONVIF::Analytics::Types::ImageStabilization
     Mode => $some_value, # ImageStabilizationMode
     Level =>  $some_value, # float
     Extension =>  { # ONVIF::Analytics::Types::ImageStabilizationExtension
     },
   },
   Extension =>  { # ONVIF::Analytics::Types::ImagingSettingsExtension202
     IrCutFilterAutoAdjustment =>  { # ONVIF::Analytics::Types::IrCutFilterAutoAdjustment
       BoundaryType =>  $some_value, # string
       BoundaryOffset =>  $some_value, # float
       ResponseTime =>  $some_value, # duration
       Extension =>  { # ONVIF::Analytics::Types::IrCutFilterAutoAdjustmentExtension
       },
     },
     Extension =>  { # ONVIF::Analytics::Types::ImagingSettingsExtension203
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL